#lt 1  2  3  4  5  6  7  8  9    
#color red  green  blue  magenta  lightblue yellow  black  orange grey  
#dashed_type  solid  dashed  short_dashed  dotted  dot_dashed  dot_short_dashed  ...  ...  ...    

set terminal postscript eps color
set data style lp
#set size 1,0.6
set key right bottom

set linestyle 1 lt 3 lw 3 pt 12 ps 0.5
set linestyle 2 lt 1 lw 3 pt 5 ps 0.5
set linestyle 4 lt 2 lw 3 pt 13 ps 0.5
set linestyle 3 lt 3 lw 3 pt 2 ps 1
set linestyle 5 lt 1 lw 3 pt 5 ps 1
set linestyle 7 lt 2 lw 3 ps 1
set grid

set output "n100_r40_pdr.eps"

set title "40 receivers"
set xlabel "Multicast traffic load (packets/sec)"
set ylabel "Avg multicast packet delivery ratio (%)"

set yrange [70:100]
set xrange [0:70]

plot \
	"n100_r40_mdm.data" using 1:6:($6 - ($7 * 2.262) / 3.162):($6 + ($7 * 2.262) / 3.162) notitle with yerrorbars ls 1, \
	"n100_r40_spt.data" using 1:6:($6 - ($7 * 2.262) / 3.162):($6 + ($7 * 2.262) / 3.162) notitle with yerrorbars ls 2, \
	"n100_r40_spt.data" using 1:6   title "SPT" with linespoints ls 5, \
	"n100_r40_mdm.data" using 1:6   title "MDM" with linespoints ls 3

set terminal x11
set output
