#ifndef _SRIP_H_
#define _SRIP_H_

#define SRIP_INFINITY  16

typedef struct srip_table_entry
{
   NodeAddress  destination;
   NodeAddress  nextHop;
   unsigned int distance;
} SripTableEntry;

typedef struct srip_str
{
   clocktype       updateInterval;
   SripTableEntry* routingTable;

   /* statistic */
   unsigned int numRouteUpdatesBroadcast;
} SripData;


void SripInit(Node*            node,
              SripData**       sripPtr,
              const NodeInput* nodeInput,
              int              interfaceIndex);

void SripHandleProtocolEvent(Node* node, Message* msg);

void SripHandleProtocolPacket(Node*       node,
                              Message*    msg,
                              NodeAddress sourceAddress);

void SripFinalize(Node *node);

void SripRouterFunction(Node*       node,
                        Message*    msg,
                        NodeAddress destAddr,
                        NodeAddress previousHopAddress,
                        BOOL*       packetWasRouted);
#endif
